Bug 962871 - screensaver won't run in cinnamon
screensaver won't run in cinnamon
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 12:03 EDT by Tomas Dolezal
Modified: 2015-02-17 10:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:14:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file to put in /etc/xdg/autostart/ (451 bytes, text/plain)
2013-05-14 12:03 EDT, Tomas Dolezal
no flags Details
file to put in /etc/xdg/autostart/ for cinnamon 2D (455 bytes, application/x-desktop)
2013-05-14 12:04 EDT, Tomas Dolezal
no flags Details

  None (edit)
Description Tomas Dolezal 2013-05-14 12:03:44 EDT
Created attachment 747747 [details]
file to put in /etc/xdg/autostart/

Description of problem:
Screen locking is unavailable in cinnamon.
this problem was discussed here https://github.com/linuxmint/Cinnamon/issues/1271
two proposed files from that thread placed in /etc/xdg/autostart/ makes thing work thanks to "AutostartCondition=GNOME3 if-session gnome-fallback"
see attachments

proposed severity: high - unable to secure workstation when leaving

Version-Release number of selected component (if applicable):
gnome-screensaver-3.6.1-4.fc19.x86_64
cinnamon-1.8.2-4.fc19.x86_64
gnome-session-3.8.1-2.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. run cinnamon workspace
2. try to lock desktop using mouse and "menu"
  
Actual results:
nothing happens

Expected results:
screen locks and fades out black

Additional info:
$gnome-screensaver --debug
[gs_debug_init] gs-debug.c:106 (17:55:42):	 Debugging enabled
[main] gnome-screensaver.c:86 (17:55:42):	 initializing gnome-screensaver 3.6.1
[init_session_id] gs-listener-dbus.c:1473 (17:55:42):	 Got session-id: 14
[gs_fade_init] gs-fade.c:883 (17:55:43):	 Fade type: 3
[set_status] gs-watcher-x11.c:346 (17:55:43):	 GSWatcher: not active, ignoring status changes
[gs_manager_set_lock_enabled] gs-manager.c:162 (17:55:43):	 GSManager: lock-enabled=1
[gs_watcher_set_active] gs-watcher-x11.c:277 (17:55:43):	 turning watcher: ON
[listener_dbus_handle_system_message] gs-listener-dbus.c:854 (17:55:43):	 obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameAcquired destination=:1.668
[on_bg_changed] gs-manager.c:549 (17:55:43):	 background changed

..and nothing happens
Comment 1 Tomas Dolezal 2013-05-14 12:04:45 EDT
Created attachment 747748 [details]
file to put in /etc/xdg/autostart/ for cinnamon 2D
Comment 2 Fedora End Of Life 2015-01-09 13:07:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:14:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.